#define EXPORT_SYMTAB

#include <linux/config.h>
#include <linux/module.h>
#include <linux/user.h>
#include <linux/sched.h>
#include <linux/interrupt.h>
#include <linux/smp_lock.h>
#include <linux/mm.h>
#include <linux/ide.h>

#include <asm/semaphore.h>
#include <asm/processor.h>
#include <asm/uaccess.h>
#include <asm/checksum.h>
#include <asm/io.h>
#include <asm/hardirq.h>
#include <asm/irq.h>
#include <asm/pgtable.h>

#include <etilib/etiLocal.h>


void setCacheTLBE();
#ifdef USE_SAMSUNG_PATCH /* By Changlae Jo */
void flush_tlb_range(); /* to use old pageCluster.o */
//void flush_tlb_page();
#endif
void flush_tlb_page_mm();
void try_to_free_pages();
void do_cluster();
void TLB_allocate_dtlb_entry();
int* osalMsgSignalled;
void setDataBreakpoint( void * brk_address , unsigned long brk_mask , int access ,int global );
void disableDataBreakpoint();


/* platform dependent support */
#ifdef USE_SAMSUNG_PATCH /* By Changlae Jo */
EXPORT_SYMBOL(flush_tlb_range); /* to use old pageCluster.o */
//EXPORT_SYMBOL(flush_tlb_page);
#endif
EXPORT_SYMBOL(flush_tlb_page_mm);
EXPORT_SYMBOL(boot_cpu_data);
EXPORT_SYMBOL(local_bh_count);
EXPORT_SYMBOL(local_irq_count);
EXPORT_SYMBOL(enable_irq);
EXPORT_SYMBOL(disable_irq);
EXPORT_SYMBOL(acknowledge_irq);
EXPORT_SYMBOL(kernel_thread);
EXPORT_SYMBOL(setCacheTLBE);
EXPORT_SYMBOL(invalid_pte_table);

EXPORT_SYMBOL(strtok);
EXPORT_SYMBOL(strpbrk);
EXPORT_SYMBOL(strstr);
#ifdef USE_SAMSUNG_PATCH /* to use old pageCluster.o */
EXPORT_SYMBOL(zap_page_range);
#endif

EXPORT_SYMBOL(__syscall_trap);

EXPORT_SYMBOL(__copy_from_user);
EXPORT_SYMBOL(__copy_to_user);
EXPORT_SYMBOL(__clear_user);
EXPORT_SYMBOL(__strncpy_from_user);
EXPORT_SYMBOL(__strnlen_user);

EXPORT_SYMBOL(ioremap);
EXPORT_SYMBOL(iounmap);

EXPORT_SYMBOL(try_to_free_pages);
EXPORT_SYMBOL(memcmp);
EXPORT_SYMBOL(memmove);
EXPORT_SYMBOL(memscan);
EXPORT_SYMBOL(strcat);
EXPORT_SYMBOL(strncat);
EXPORT_SYMBOL(strchr);
EXPORT_SYMBOL(strcpy);
EXPORT_SYMBOL(strncpy);
EXPORT_SYMBOL(strcmp);
EXPORT_SYMBOL(strncmp);
EXPORT_SYMBOL(strlen);
EXPORT_SYMBOL(TLB_allocate_dtlb_entry);
EXPORT_SYMBOL(osalMsgSignalled);
EXPORT_SYMBOL(etiDefaultMemPool);

EXPORT_SYMBOL(dma_cache_inv);
EXPORT_SYMBOL(dma_cache_wback);
EXPORT_SYMBOL(dma_cache_wback_inv);

EXPORT_SYMBOL(setDataBreakpoint);
EXPORT_SYMBOL(disableDataBreakpoint);

#if defined(CONFIG_BLK_DEV_IDE) || defined(CONFIG_BLK_DEV_IDE_MODULE)
EXPORT_SYMBOL(ide_ops);
#endif

EXPORT_SYMBOL(ip_fast_csum);
